#include "about.h"
#include "ui_about.h"



about::about(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::about)
{
    ui->setupUi(this);
    ui->label_nameVersion->setText(QString("PA Calculator ")+APP_VERSION);
    ui->label_QT_Version->setText(QString("Based on QT ")+QString(QT_VERSION_STR)+QString(" (")+QSysInfo::prettyProductName()+QString(", ")+QSysInfo::currentCpuArchitecture()+QString(")"));
    ui->label_Copyright->setText(APP_COPYRIGHT);
    ui->label_build->setText(QString("Build: ")+QString::fromStdString(__DATE__) +QString(" (")+APP_COMMIT+QString(")"));
}

about::~about()
{
    delete ui;
}
